## ligo-segments-1.0.0.tar.gz

=== test/Makefile ===
PYTHON ?= python

check : \
	segments_verify
	@echo "All Tests Passed"

define printpassfail
	{ echo "Pass" ; true ; } || { echo "Fail" ; false ; }
endef

SERVEFILESPORT := 16543

define servefilesstart
	{ $(PYTHON) -c "from six.moves.socketserver import TCPServer ; from six.moves.SimpleHTTPServer import SimpleHTTPRequestHandler ; TCPServer(('127.0.0.1', $(SERVEFILESPORT)), SimpleHTTPRequestHandler).serve_forever()" & sleep 1 ; }
endef
define servefilesstop
	{ killall $(PYTHON) ; sleep 1 ; true ; }
endef

segments_verify :
	@echo "=== start segments_verify ===>"
	$(PYTHON) segments_verify.py && $(printpassfail)
	@echo "<=== end segments_verify ==="

=== debian/changelog ===
ligo-segments (1.0.0-1) unstable; urgency=low

  * first release of ligo.segments, should be funtionally identical to glue.segments

 -- Duncan Macleod <duncan.macleod@ligo.org>  Thu, 10 May 2018 12:00:00 +0000

=== debian/control ===
Source: ligo-segments
Maintainer: Duncan Macleod <duncan.macleod@ligo.org>
Section: python
Priority: optional
Standards-Version: 4.1.3
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all-dev,
               python3-all-dev,
               python-pytest,
               python3-pytest,
               python-setuptools,
               python3-setuptools,
               python-six,
               python3-six

Package: python-ligo-segments
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-six
Description: Representations of semi-open intervals - Python package
 ligo-segments provides representation of semi-open intervals or "segments".
 The main application of this package is represenation of intervals of time
 in gravitational-wave data analysis.
 .
 This package provides Python 2 modules.

Package: python3-ligo-segments
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-six
Description: Representations of semi-open intervals - Python 3 package
 ligo-segments provides representation of semi-open intervals or "segments".
 The main application of this package is represenation of intervals of time
 in gravitational-wave data analysis.
 .
 This package provides Python 3 modules.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME := ligo-segments

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="make -C {dir}/test PYTHON={interpreter}" dh_auto_test
